package com.jxml.quick.util.qjmlExpand;
import com.jxml.quick.model.qjml.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;
import com.jxml.quick.ocm.*;
import java.io.*;

/**
 * Extracts QJML data.
 */
public class QCQJML extends OCMrootPeerSupport
{
	/**
	 * User-provided code to perform the conversion.
	 */
	public void cvt(Object param)
		throws SAXException, IOException
	{
		int i,s;

		QMQJML dm=(QMQJML)dataModel;

		dm.init(); // initialize the data model
		Counter.SubCounter subCounter=(Counter.SubCounter)context;

		subCounter.addIDAttribute(this);
		addStringAttribute("root",dm.root);
		addStringAttribute("SYSTEM",dm.SYSTEM);
		addStringAttribute("PUBLIC",dm.PUBLIC);
		addStringAttribute("JAR",dm.JAR);

		startElement("qjml");

		doCvt(dm.coinMap,null);

		endElement("qjml");
	}
}
